CWL · tip 1.0.26 · public

Chrysalis Web Language — the genome Convert and Secure consume.

Chrysalis Web Language describes what a web app is: routes, handlers, pages, data, UI, effects — and honest holes when a claim is unsafe. Convert and Secure consume it — they do not redefine it.

  1. 01 Surface in routes, pages, effects
  2. 02 Readable genome CWL + honest holes
  3. 03 Consumed Convert & Secure
CWL DNA of the web: routes, pages, data, and contracts describe into a readable genome. Honest hole when a claim is unsafe. Convert and Secure consume it; people can read it.

How CWL works

Describe once. Audit the holes. Let others speak it.

01

Surface in

Routes, handlers, pages, data, UI, and effects enter one readable model — not a one-off dialect for a single migration.

02

Readable genome

Humans can audit what the app claims to be. Machines can emit from the same model. Missing truth stays a labeled hole.

03

Consumed, not owned

Convert translates through CWL. Secure’s default is traffic DNA; any CWL bridge must match this grammar — no fork inside Helix.

Grammar of its own. Not a migration dialect. Convert & Secure consume — do not redefine.

Surfaces (tip 1.0.26)

SurfaceStatus
API @routeShipped — RFC-0001–0008
Pages @pageShipped — RFC-0010/0011/0014
Data loadPartial — RFC-0013
UI islandsLanguage shipped — RFC-0017–0019, 0024, 0028
EffectsDeclarative — RFC-0007, 0020
DNA bridgeContract — RFC-0022 (app-dna-v1)

Gates

  • npm run smoke:ut-spine → UT_SPINE_OK (CWL owns this spine)
  • npm run smoke:cwl-ingest-matrix → CWL_INGEST_MATRIX_OK
  • WebSocket and similar residuals stay typed holes — never silent stubs

Full paper: CWL language · WebIR · Docs index

See the migration method →

Sister pillars

Same genome. Different jobs.